package com.ease.gsms.server.model;

import java.util.Date;

public class Device {

    Long id;
    String uuid;
    String owner;
    String cordova;
    String model;
    String platform;
    String version;
    String manufacturer;
    Boolean isVirtual;
    String serial;
    String carrierName;
    String countryCode;
    String mcc;
    String mnc;
    CallState callState;
    DataActivity dataActivity;
    NetworkType networkType;
    PhoneType phoneType;
    SimState simState;
    Boolean isNetworkRoaming;
    Integer phoneCount;
    Integer activeSubscriptionInfoCount;
    Integer activeSubscriptionInfoCountMax;
    String phoneNumber;
    String deviceId;
    String deviceSoftwareVersion;
    String simSerialNumber;
    String subscriberId;
    Date lastSeen;
    Boolean online;

    public Device() {
    }

    public Device(Long id, String uuid, String owner, String cordova, String model, String platform, String version, String manufacturer, Boolean isVirtual, String serial, String carrierName, String countryCode, String mcc, String mnc, CallState callState, DataActivity dataActivity, NetworkType networkType, PhoneType phoneType, SimState simState, Boolean isNetworkRoaming, Integer phoneCount, Integer activeSubscriptionInfoCount, Integer activeSubscriptionInfoCountMax, String phoneNumber, String deviceId, String deviceSoftwareVersion, String simSerialNumber, String subscriberId, Date lastSeen, Boolean online) {
        this.id = id;
        this.uuid = uuid;
        this.owner = owner;
        this.cordova = cordova;
        this.model = model;
        this.platform = platform;
        this.version = version;
        this.manufacturer = manufacturer;
        this.isVirtual = isVirtual;
        this.serial = serial;
        this.carrierName = carrierName;
        this.countryCode = countryCode;
        this.mcc = mcc;
        this.mnc = mnc;
        this.callState = callState;
        this.dataActivity = dataActivity;
        this.networkType = networkType;
        this.phoneType = phoneType;
        this.simState = simState;
        this.isNetworkRoaming = isNetworkRoaming;
        this.phoneCount = phoneCount;
        this.activeSubscriptionInfoCount = activeSubscriptionInfoCount;
        this.activeSubscriptionInfoCountMax = activeSubscriptionInfoCountMax;
        this.phoneNumber = phoneNumber;
        this.deviceId = deviceId;
        this.deviceSoftwareVersion = deviceSoftwareVersion;
        this.simSerialNumber = simSerialNumber;
        this.subscriberId = subscriberId;
        this.lastSeen = lastSeen;
        this.online = online;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getCordova() {
        return cordova;
    }

    public void setCordova(String cordova) {
        this.cordova = cordova;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public Boolean getIsVirtual() {
        return isVirtual;
    }

    public void setIsVirtual(Boolean virtual) {
        isVirtual = virtual;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getCarrierName() {
        return carrierName;
    }

    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public String getMcc() {
        return mcc;
    }

    public void setMcc(String mcc) {
        this.mcc = mcc;
    }

    public String getMnc() {
        return mnc;
    }

    public void setMnc(String mnc) {
        this.mnc = mnc;
    }

    public CallState getCallState() {
        return callState;
    }

    public void setCallState(CallState callState) {
        this.callState = callState;
    }

    public DataActivity getDataActivity() {
        return dataActivity;
    }

    public void setDataActivity(DataActivity dataActivity) {
        this.dataActivity = dataActivity;
    }

    public NetworkType getNetworkType() {
        return networkType;
    }

    public void setNetworkType(NetworkType networkType) {
        this.networkType = networkType;
    }

    public PhoneType getPhoneType() {
        return phoneType;
    }

    public void setPhoneType(PhoneType phoneType) {
        this.phoneType = phoneType;
    }

    public SimState getSimState() {
        return simState;
    }

    public void setSimState(SimState simState) {
        this.simState = simState;
    }

    public Boolean getIsNetworkRoaming() {
        return isNetworkRoaming;
    }

    public void setIsNetworkRoaming(Boolean networkRoaming) {
        isNetworkRoaming = networkRoaming;
    }

    public Integer getPhoneCount() {
        return phoneCount;
    }

    public void setPhoneCount(Integer phoneCount) {
        this.phoneCount = phoneCount;
    }

    public Integer getActiveSubscriptionInfoCount() {
        return activeSubscriptionInfoCount;
    }

    public void setActiveSubscriptionInfoCount(Integer activeSubscriptionInfoCount) {
        this.activeSubscriptionInfoCount = activeSubscriptionInfoCount;
    }

    public Integer getActiveSubscriptionInfoCountMax() {
        return activeSubscriptionInfoCountMax;
    }

    public void setActiveSubscriptionInfoCountMax(Integer activeSubscriptionInfoCountMax) {
        this.activeSubscriptionInfoCountMax = activeSubscriptionInfoCountMax;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceSoftwareVersion() {
        return deviceSoftwareVersion;
    }

    public void setDeviceSoftwareVersion(String deviceSoftwareVersion) {
        this.deviceSoftwareVersion = deviceSoftwareVersion;
    }

    public String getSimSerialNumber() {
        return simSerialNumber;
    }

    public void setSimSerialNumber(String simSerialNumber) {
        this.simSerialNumber = simSerialNumber;
    }

    public String getSubscriberId() {
        return subscriberId;
    }

    public void setSubscriberId(String subscriberId) {
        this.subscriberId = subscriberId;
    }

    public Date getLastSeen() {
        return lastSeen;
    }

    public void setLastSeen(Date lastSeen) {
        this.lastSeen = lastSeen;
    }


    public Boolean getOnline() {
        return online;
    }

    public void setOnline(Boolean online) {
        this.online = online;
    }

}
